using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NIDAQmx
{
    public class DIChannelFactory : ChannelFactory
    {
        internal DIChannelFactory(DAQmx daqmx) : base(daqmx)
        {
        }
        public DIChannel Create(string lines, string nameToAssignToLines, int lineGrouping)
        {
            return Exc<DIChannel>(p=>p.Create, lines, nameToAssignToLines, lineGrouping);
        }
    }
}
